Bug 197771 - www/trac: Update to 1.0.4, take maintainership
Summary: www/trac: Update to 1.0.4, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-17 20:50 UTC by Anton Törnqvist
Modified: 2015-02-19 09:33 UTC (History)
1 user (show)

See Also:


Attachments
trac1.0.4diff (6.14 KB, patch)
2015-02-17 20:50 UTC, Anton Törnqvist
no flags Details | Diff
poudriere-buildlog-10amd64-trac (200.41 KB, text/plain)
2015-02-17 20:52 UTC, Anton Törnqvist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Törnqvist 2015-02-17 20:50:44 UTC
Created attachment 153122 [details]
trac1.0.4diff

*update from 1.0.1 to 1.0.4
*take maintainership
Comment 1 Anton Törnqvist 2015-02-17 20:52:02 UTC
Created attachment 153123 [details]
poudriere-buildlog-10amd64-trac
Comment 2 Jan Beich freebsd_committer 2015-02-17 23:52:21 UTC
Why SILVERCITY option is dropped? Trac-1.0.4 still seems to support tracopt.mimeview.silvercity based on quick look at the code. Even your log has references to it:

  $ fgrep -i silvercity 10amd64-default.log
  copying tracopt/mimeview/silvercity.py -> build/lib/tracopt/mimeview
  copying build/lib/tracopt/mimeview/silvercity.py -> /wrkdirs/usr/ports/www/trac-new/work/stage/usr/local/lib/python2.7/site-packages/tracopt/mimeview
  byte-compiling /wrkdirs/usr/ports/www/trac-new/work/stage/usr/local/lib/python2.7/site-packages/tracopt/mimeview/silvercity.py to silvercity.pyc
Comment 3 Anton Törnqvist 2015-02-18 12:22:58 UTC
(In reply to Jan Beich from comment #2)

SilverCity and/or ​Enscript may still be used but are deprecated and you really should be using Pygments. [1]

[1] http://trac.edgewall.org/wiki/TracInstall#OptionalDependencies
Comment 4 commit-hook freebsd_committer 2015-02-19 09:30:08 UTC
A commit references this bug:

Author: jbeich
Date: Thu Feb 19 09:29:09 UTC 2015
New revision: 379336
URL: https://svnweb.freebsd.org/changeset/ports/379336

Log:
  - Update to 1.0.4
  - Drop deprecated SILVERCITY option
  - Pass maintainership to submitter

  PR:		197771
  Submitted by:	Anton T?rnqvist <antont@inbox.lv>

Changes:
  head/www/trac/Makefile
  head/www/trac/distinfo
  head/www/trac/files/patch-trac_util_translation.py
  head/www/trac/files/patch-trac_wiki_formatter.py
  head/www/trac/files/patch-trac_wiki_tests_wiki-tests.txt
  head/www/trac/pkg-message
Comment 5 Jan Beich freebsd_committer 2015-02-19 09:33:35 UTC
Thanks. Committed.